import { processData } from "./factorio-process-data.ts";
import { dumpFactorioData, dumpFactorioIcon } from "./helpers/command.helper.ts";
import { extractLocale } from "./helpers/locale.helper.ts";

const outputFolder = "./src/assets/data/2.0";

console.log("Dump factorio data");
await dumpFactorioData();

console.log("Dump factorio icons");
await dumpFactorioIcon();
console.log("Process factorio data and icons");
await processData(outputFolder);

console.log("Dump factorio locale");
await extractLocale(outputFolder);
